# Default values for leantime.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  # -- OCI image repository of the Leantime application
  repository: leantime/leantime
  # -- The pull policy of the Leantime OCI image applied to the deployment
  pullPolicy: IfNotPresent
  # -- Overrides the image tag whose default is the chart appVersion
  tag: "latest"

# -- The pull secrets to be used if you want to use a Leantime application image hosted in a private registry
imagePullSecrets: []
# -- Overrides the name of the chart
nameOverride: ""
# -- Ovverrides the fullname of the kubernetes object names for this release
fullnameOverride: ""

# PVCs settings for user data and public user data
persistence:
  # -- Enables or disables the persistence
  enabled: true
  # -- Sets the size of the PVs for Leantime's public and private userfiles
  size: 5Gi
  # -- Sets the storage class for Leantime's volumes
  storageClass: "standard"

# Application-specific environment variables
app:
  # -- Sets the name for the instance
  sitename: "Leantime"
  # -- Sets application language
  language: "en-US"
  # -- Sets the default Timezone
  defaultTimezone: "America/Los_Angeles"
  s3:
    # -- Set to true if you want to use S3 instead of local files
    enabled: false
    # -- S3 endpoint
    enpoint: ""
    # -- S3 key
    key: ""
    # -- S3 secret
    secret: ""
    # -- S3 bucket
    bucket: ""
    # -- Sets wether or not use path-style endpoint
    usePathStyleEndpoint: "false"
    # -- S3 region
    region: ""
    # -- Sets the foldername within S3 (can be empty)
    folderName: ""
  session:
    # -- Salting sessions. Replace with a strong password
    password: "changeme"
    # -- Session expiration
    expiration: 28800
  email:
    # -- Set to true if you want to use SMTP. If set to false, the default php mail() function will be used
    enabled: false
    # -- Sets the email address to use for notifications and registrations
    return: "leantime@cluster.local"
    smtp:
      # -- SMTP host
      hosts: ""
      # -- SMTP username
      username: ""
      # -- SMTP password
      password: ""
      # -- Set autoTLS?
      autoTLS: true
      # -- Sets the SMTP security protocol (usually one of: TLS, SSL, STARTTLS)
      secure: "STARTLS"
      # -- SMTP port
      port: 587
  ldap:
    # -- Set to true if you want to use LDAP
    enabled: false
    # -- Select the correct directory type. Currently Supported: OL - OpenLdap, AD - Active Directory
    type: ""
    # -- FQDN
    host: ""
    # -- Sets LDAP port
    port: 389
    # -- Base DN, example: DC=example,DC=com
    baseDN: ""
    # -- Location of users, example: CN=users,DC=example,DC=com
    DN: ""
    # -- Domain after ldap, example @example.com
    userDomain: ""
    # -- Default ldap keys in your directory
    keys: ""
    # -- Default role assignments upon first login
    groupAssignment: ""
    # -- Sets the default role for users when they are first created
    defaultRoleKey: ""

mariadb:
  enabled: true
  auth:
    # -- Database root password
    rootPassword: "changeme"
    # -- Database name
    database: "leantime"
    # -- Database username
    username: "leantime"
    # -- Database password
    password: "changeme"

serviceAccount:
  # Specifies whether a service account should be created
  create: false
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: false
  className: ""
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths:
        - path: /
          pathType: ImplementationSpecific
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
